﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SkypeDialer.Classes
{
    /// <summary>
    /// Class for phonenumber, IM ID and so on
    /// </summary>
    public class ContactInfo
    {
        /// <summary>
        /// Call available?
        /// </summary>
        public bool IsCallAvailable { get; set; }

        /// <summary>
        /// Chat available?
        /// </summary>
        public bool IsChatAvailable { get; set; }

        /// <summary>
        /// Video call available?
        /// </summary>
        public bool IsVideoCallAvailable { get; set; }

        /// <summary>
        /// Is SMS Available
        /// </summary>
        public bool IsSMSAvailable { get; set; }

        /// <summary>
        /// Is status available for this ID
        /// </summary>
        public bool IsStatusAvailable { get; set; }

        /// <summary>
        /// Calling ID (phone number, skype ID and so on)
        /// </summary>
        public string CallingId { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string CallingIdName { get; set; }
    }
}